<?php 
add_filter( 'woocommerce_add_to_cart_fragments', 'themesflat_mini_add_to_cart_fragment' );
function themesflat_mini_add_to_cart_fragment( $fragments ) { 
    if ( class_exists( 'woocommerce' ) ) {
        if (!function_exists('themesflat_header_add_to_cart_fragment')) {
            $product_id = (int) apply_filters('woocommerce_add_to_cart_product_id', $_POST['product_id']);
            $fragments['added_product'] = get_post($product_id)->post_title;
            ob_start();
            $count = WC()->cart->get_cart_contents_count();
            ?>
            <?php if ( $count > 0 ): ?>
                <span class="cart-contents-count"><?php echo esc_attr( $count ); ?></span>
            <?php else: ?>
                <span class="cart-contents-count">0</span>
            <?php endif; ?>            
            <?php
            $fragments['.wrap-count-content .cart-contents-count'] = ob_get_clean();
            ob_end_clean();
            return $fragments;
        }
    }
}